<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.tcZz.mapper.TcWlwmzyzMapper">
    
    <resultMap type="TcWlwmzyz" id="TcWlwmzyzResult">
        <result property="id"    column="id"    />
        <result property="areaId"    column="area_id"    />
        <result property="isStatus"    column="isStatus"    />
        <result property="name"    column="name"    />
        <result property="age"    column="age"    />
        <result property="activityContent"    column="activity_content"    />
        <result property="unit"    column="unit"    />
        <result property="duty"    column="duty"    />
        <result property="linkTel"    column="link_tel"    />
        <result property="type"    column="type"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="remark"    column="remark"    />
    </resultMap>

    <sql id="selectTcWlwmzyzVo">
        select id, area_id, isStatus, name, age, activity_content, unit, duty, link_tel, type, create_by, create_time, update_by, update_time, remark from tc_wlwmzyz
    </sql>

    <select id="selectTcWlwmzyzList" parameterType="TcWlwmzyz" resultMap="TcWlwmzyzResult">
        <include refid="selectTcWlwmzyzVo"/>
        <where>  
            <if test="id != null "> and id = #{id}</if>
            <if test="areaId != null  and areaId != ''"> and area_id = #{areaId}</if>
            <if test="isStatus != null "> and isStatus = #{isStatus}</if>
            <if test="name != null  and name != ''"> and name like concat('%', #{name}, '%')</if>
            <if test="age != null "> and age = #{age}</if>
            <if test="activityContent != null  and activityContent != ''"> and activity_content = #{activityContent}</if>
            <if test="unit != null  and unit != ''"> and unit = #{unit}</if>
            <if test="duty != null  and duty != ''"> and duty = #{duty}</if>
            <if test="linkTel != null  and linkTel != ''"> and link_tel = #{linkTel}</if>
            <if test="type != null "> and type = #{type}</if>
            <if test="createBy != null  and createBy != ''"> and create_by = #{createBy}</if>
            <if test="params.beginCreateTime != null and params.beginCreateTime != '' and params.endCreateTime != null and params.endCreateTime != ''"> and create_time between #{params.beginCreateTime} and #{params.endCreateTime}</if>
            <if test="updateBy != null  and updateBy != ''"> and update_by = #{updateBy}</if>
            <if test="params.beginUpdateTime != null and params.beginUpdateTime != '' and params.endUpdateTime != null and params.endUpdateTime != ''"> and update_time between #{params.beginUpdateTime} and #{params.endUpdateTime}</if>
            <if test="remark != null  and remark != ''"> and remark = #{remark}</if>
        </where>
        order by create_time desc
    </select>
    
    <select id="selectTcWlwmzyzById" parameterType="Long" resultMap="TcWlwmzyzResult">
        <include refid="selectTcWlwmzyzVo"/>
        where id = #{id}
    </select>
        
    <insert id="insertTcWlwmzyz" parameterType="TcWlwmzyz" useGeneratedKeys="true" keyProperty="id">
        insert into tc_wlwmzyz
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="areaId != null">area_id,</if>
            <if test="isStatus != null">isStatus,</if>
            <if test="name != null">name,</if>
            <if test="age != null">age,</if>
            <if test="activityContent != null">activity_content,</if>
            <if test="unit != null">unit,</if>
            <if test="duty != null">duty,</if>
            <if test="linkTel != null">link_tel,</if>
            <if test="type != null">type,</if>
            <if test="createBy != null">create_by,</if>
            <if test="createTime != null">create_time,</if>
            <if test="updateBy != null">update_by,</if>
            <if test="updateTime != null">update_time,</if>
            <if test="remark != null">remark,</if>
         </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="areaId != null">#{areaId},</if>
            <if test="isStatus != null">#{isStatus},</if>
            <if test="name != null">#{name},</if>
            <if test="age != null">#{age},</if>
            <if test="activityContent != null">#{activityContent},</if>
            <if test="unit != null">#{unit},</if>
            <if test="duty != null">#{duty},</if>
            <if test="linkTel != null">#{linkTel},</if>
            <if test="type != null">#{type},</if>
            <if test="createBy != null">#{createBy},</if>
            <if test="createTime != null">#{createTime},</if>
            <if test="updateBy != null">#{updateBy},</if>
            <if test="updateTime != null">#{updateTime},</if>
            <if test="remark != null">#{remark},</if>
         </trim>
    </insert>

    <update id="updateTcWlwmzyz" parameterType="TcWlwmzyz">
        update tc_wlwmzyz
        <trim prefix="SET" suffixOverrides=",">
            <if test="areaId != null">area_id = #{areaId},</if>
            <if test="isStatus != null">isStatus = #{isStatus},</if>
            <if test="name != null">name = #{name},</if>
            <if test="age != null">age = #{age},</if>
            <if test="activityContent != null">activity_content = #{activityContent},</if>
            <if test="unit != null">unit = #{unit},</if>
            <if test="duty != null">duty = #{duty},</if>
            <if test="linkTel != null">link_tel = #{linkTel},</if>
            <if test="type != null">type = #{type},</if>
            <if test="createBy != null">create_by = #{createBy},</if>
            <if test="createTime != null">create_time = #{createTime},</if>
            <if test="updateBy != null">update_by = #{updateBy},</if>
            <if test="updateTime != null">update_time = #{updateTime},</if>
            <if test="remark != null">remark = #{remark},</if>
        </trim>
        where id = #{id}
    </update>
    <update id="updateByisStatus">
        UPDATE tc_wlwmzyz
        SET isStatus = #{isStatus}
        WHERE id IN
        <foreach collection="ids" item="item" index="index" separator="," open="(" close=")">
            #{item}
        </foreach>
    </update>

    <delete id="deleteTcWlwmzyzById" parameterType="Long">
        delete from tc_wlwmzyz where id = #{id}
    </delete>

    <delete id="deleteTcWlwmzyzByIds" parameterType="String">
        delete from tc_wlwmzyz where id in 
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>
</mapper>